# Uses of Interface
org.eclipse.e4.ui.css.core.dom.properties.converters.ICSSValueConverterConfig

Packages that use ICSSValueConverterConfig
Package
Description
org.eclipse.e4.ui.css.core.dom.properties.converters
org.eclipse.e4.ui.css.swt.properties.converters

## Uses of ICSSValueConverterConfig in org.eclipse.e4.ui.css.core.dom.properties.converters

Methods in org.eclipse.e4.ui.css.core.dom.properties.converters with parameters of type ICSSValueConverterConfig
Modifier and Type
Method
Description
`String`
CSSValueBooleanConverterImpl.`convert(Object value, CSSEngine engine, Object context, ICSSValueConverterConfig config)`
`String`
ICSSValueConverter.`convert(Object value, CSSEngine engine, Object context, ICSSValueConverterConfig config)`
Returns String `CSSValue` of the result of the conversion of the given Object `value`.

## Uses of ICSSValueConverterConfig in org.eclipse.e4.ui.css.swt.properties.converters

Methods in org.eclipse.e4.ui.css.swt.properties.converters with parameters of type ICSSValueConverterConfig
Modifier and Type
Method
Description
`String`
CSSValueSWTColorConverterImpl.`convert(Object value, CSSEngine engine, Object context, ICSSValueConverterConfig config)`
`String`
CSSValueSWTCursorConverterImpl.`convert(Object value, CSSEngine engine, Object context, ICSSValueConverterConfig config)`
`String`
CSSValueSWTFontConverterImpl.`convert(Object value, CSSEngine engine, Object context, ICSSValueConverterConfig config)`
`String`
CSSValueSWTFontDataConverterImpl.`convert(Object value, CSSEngine engine, Object context, ICSSValueConverterConfig config)`
`String`
CSSValueSWTGradientConverterImpl.`convert(Object value, CSSEngine engine, Object context, ICSSValueConverterConfig config)`
`String`
CSSValueSWTImageConverterImpl.`convert(Object value, CSSEngine engine, Object context, ICSSValueConverterConfig config)`
`String`
CSSValueSWTRGBConverterImpl.`convert(Object value, CSSEngine engine, Object context, ICSSValueConverterConfig config)`